Closed Bug 471505 Opened 11 years ago Closed 11 years ago

[Windows] mochitest-plain: new 200 bytes leak on 2008-12-29

Categories

(SeaMonkey :: General, defect)

x86
Windows Server 2003
defect
Not set

Tracking

(Not tracked)

RESOLVED WORKSFORME

People

(Reporter: sgautherie, Unassigned)

References

(Blocks 1 open bug)

Details

(Keywords: memory-leak, regression)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1230601272.1230605883.31193.gz
Win2k3 comm-central dep unit test on 2008/12/29 17:41:12

New total leak is
{
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 208 bytes during test execution (threshold set at 8 bytes)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsLocalFile with size 88 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsPluginHostImpl with size 88 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 2 instances of nsStringBuffer with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsVoidArray with size 4 bytes
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 1 instance of nsWeakReference with size 12 bytes
}
whereas only bug 458781 (1 nsStringBuffer) is expected.

Regression timeframe:
On http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey&maxdate=1230609400
http://hg.mozilla.org/releases/mozilla-1.9.1/pushloghtml?startdate=2008-12-29+09%3A33%3A14&enddate=2008-12-29+16%3A31%3A32
As a guess, nsPluginHostImpl would look more like a 'video' issue !?
Flags: wanted1.9.1?
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2a1pre) Gecko/20081230 SeaMonkey/2.0a3pre] (home, optim default) (W2Ksp4)
(http://hg.mozilla.org/mozilla-central/rev/6201c0669e15
 +http://hg.mozilla.org/comm-central/rev/2854a16a867f)

I wanted to narrow down this bug (on mozilla-1.9.1),
"instead" I found bug 471647 (on mozilla-central).

Someone else would have to do this, with a local 1.9.1 build.
I suspect the dom-level2-html tests behind this, but I don't have Windows available so can't test. I have bumped the leak threshold for those 200 bytes with http://hg.mozilla.org/build/buildbot-configs/rev/ca211ef2a14a
1 nsStringBuffer leak was fixed somehow in the mean time,
thus only this very bug/leak remains:
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1240556666.1240561889.16656.gz&fulltext=1
WINNT 5.2 comm-central unit test on 2009/04/24 00:04:26

TEST-PASS | runtests-leaks | WARNING leaked 200 bytes during test execution (threshold set at 200 bytes)
TEST-PASS | runtests-leaks | leaked 1 instance of nsLocalFile with size 88 bytes
TEST-PASS | runtests-leaks | leaked 1 instance of nsPluginHostImpl with size 88 bytes
TEST-PASS | runtests-leaks | leaked 1 instance of nsStringBuffer with size 8 bytes
TEST-PASS | runtests-leaks | leaked 1 instance of nsVoidArray with size 4 bytes
TEST-PASS | runtests-leaks | leaked 1 instance of nsWeakReference with size 12 bytes
}
(In reply to comment #2)
> I suspect the dom-level2-html tests behind this,

Locally, I get bug 471647 comment 5 "only".

> but I don't have Windows available so can't test.

KaiRo,
Could you test on the box itself? (It takes 3 mn on my computer.)
|python objdir\mozilla\_tests\testing\mochitest\runtests.py --test-path=dom/tests/mochitest/dom-level2-html --autorun --close-when-done|
I only can reasonably do this when the machine is idle, and it's rarely idle at all. Additionally, I rarely have time to do things like that and I don't really like running stuff manually on machines that should only run automatic stuff.
So, I theoretically could do it, but it might take weeks to come around to it and I probably forget to do it by then.
(In reply to comment #4)
> Locally, I get bug 471647 comment 5 "only".

Even running the whole suite.

NB: Unless they would be two versions of the "same" leak...


(In reply to comment #5)

I know, but how can we narrow it down otherwise?
Summary: [Windows] New 200 bytes leak on 2008-12-29 → [Windows] mochitest-plain: new 200 bytes leak on 2008-12-29
Running without --autorun and just closing, I get no leaks, but running as per comment #4 I get some leaks (but not the ones that are mentioned there).
And test_HTMLBodyElement07.html is the first test that causes leaks (i.e. if I delete that and all subsequent tests then I don't leak).
... and is also the first test to start Java, via files/document.html
... and disabling Java fixed all my leaks on the entire test run.
Flags: wanted1.9.2?
Flags: wanted1.9.1?
Flags: wanted1.9.1.x?
Oldest log available:
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Ports/1242050768.1242055151.20211.gz&fulltext=1
WINNT 5.2 comm-1.9.1 unit test on 2009/05/11 07:06:08

TEST-PASS | runtests-leaks | no leaks detected! (threshold set at 200 bytes)
}

R.WorksForMe, sometime between 2009-04-24 and 2009-05-11...
Status: NEW → RESOLVED
Closed: 11 years ago
Flags: wanted1.9.2?
Flags: wanted1.9.1.x?
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.